Bug 442558 - SELinux having adverse effect on ybin
SELinux having adverse effect on ybin
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
9
powerpc Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
http://rafb.net/p/XjIgLK44.html
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-15 11:03 EDT by Alex Stone
Modified: 2008-11-17 17:03 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-17 17:03:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alex Stone 2008-04-15 11:03:46 EDT
Description of problem: I'm no linux expert and not sure how to present this to
you chaps, but SELinux is having some sort of adverse effect on ybin. (See
attached log.)


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 David Woodhouse 2008-04-15 11:14:31 EDT
Might help if you attached the file you promised to :)

Please show the contents of /var/log/audit/audit.log after selinux prevents ybin
from working.
Comment 2 Josef Kubin 2008-05-05 15:17:45 EDT
# setenforce 1; setenforce 0
# > /var/log/audit/audit.log
... and try to reproduce ...
Comment 3 Bug Zapper 2008-05-14 05:29:18 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Andreas Loening 2008-06-02 15:35:47 EDT
The error I got was:

/sbin/ybin: line 818: /bin/mount: Permission denied


The generated lines in audit.log:

type=SELINUX_ERR msg=audit(1212433789.890:30): security_compute_sid:  invalid
context unconfined_u:unconfined_r:mount_t:s0-s0:c0.c1023 for
scontext=unconfined_u:unconfined_r:bootloader_t:s0-s0:c0.c1023
tcontext=system_u:object_r:mount_exec_t:s0 tclass=process
type=SYSCALL msg=audit(1212433789.890:30): arch=14 syscall=11 success=no
exit=-13 a0=101199c8 a1=100edf40 a2=100df688 a3=0 items=0 ppid=2657 pid=2822
auid=500 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=pts1 ses=1
comm="ybin" exe="/bin/bash"
subj=unconfined_u:unconfined_r:bootloader_t:s0-s0:c0.c1023 key=(null)


The work around:

#setenforce 0
#ybin
#setenforce 1
Comment 5 Daniel Walsh 2008-06-02 15:46:42 EDT
Fixed in selinux-policy-3.3.1-65.fc9.noarch
Comment 6 Daniel Walsh 2008-11-17 17:03:31 EST
Closing all bugs that have been in modified for over a month.  Please reopen if the bug is not actually fixed.

Note You need to log in before you can comment on or make changes to this bug.